﻿// 在 ASP.NET MVC 项目中使用 WebForm   示例代码
// http://snowdream.cnblogs.com/

using System.Web.Mvc;
using System.Web.Routing;

namespace Snowdream.Demo.WebFormsInMvc
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            //// 忽略对 WebForms 路径的路由
            //routes.IgnoreRoute("WebForms/{weform}");

            // 添加一个用WebFormsRouteHandler进行处理的路由
            // 其中URL中{page}所占的部分会被在WebFormsRouteHandler中当做参数使用
            routes.Add(new Route("web/{page}",new WebFormsRouteHandler()));

            routes.MapRoute(
                "Default",                                              // Route name
                "{controller}/{action}/{id}",                           // URL with parameters
                new { controller = "Home", action = "Index", id = "" }  // Parameter defaults
            );


        }

        protected void Application_Start()
        {
            RegisterRoutes(RouteTable.Routes);
        }
    }
}